OSDN Git Service

Add NIOS2 support. Code from SourceyG++.
[pf3gnuchains/gcc-fork.git] / libgomp / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 target_triplet = @target@
39 subdir = .
40 DIST_COMMON = ChangeLog $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
41         $(top_srcdir)/configure $(am__configure_deps) \
42         $(srcdir)/config.h.in $(srcdir)/../mkinstalldirs \
43         $(srcdir)/omp.h.in $(srcdir)/omp_lib.h.in \
44         $(srcdir)/omp_lib.f90.in $(srcdir)/libgomp_f.h.in \
45         $(srcdir)/libgomp.spec.in $(srcdir)/../depcomp
46 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
47 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
48         $(top_srcdir)/../config/depstand.m4 \
49         $(top_srcdir)/../config/enable.m4 \
50         $(top_srcdir)/../config/futex.m4 \
51         $(top_srcdir)/../config/lead-dot.m4 \
52         $(top_srcdir)/../config/multi.m4 \
53         $(top_srcdir)/../config/override.m4 \
54         $(top_srcdir)/../config/stdint.m4 \
55         $(top_srcdir)/../config/tls.m4 $(top_srcdir)/../ltoptions.m4 \
56         $(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
57         $(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
58         $(top_srcdir)/../libtool.m4 $(top_srcdir)/configure.ac
59 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
60         $(ACLOCAL_M4)
61 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
62  configure.lineno config.status.lineno
63 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
64 CONFIG_HEADER = config.h
65 CONFIG_CLEAN_FILES = omp.h omp_lib.h omp_lib.f90 libgomp_f.h \
66         libgomp.spec
67 CONFIG_CLEAN_VPATH_FILES =
68 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
69 am__vpath_adj = case $$p in \
70     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
71     *) f=$$p;; \
72   esac;
73 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
74 am__install_max = 40
75 am__nobase_strip_setup = \
76   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
77 am__nobase_strip = \
78   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
79 am__nobase_list = $(am__nobase_strip_setup); \
80   for p in $$list; do echo "$$p $$p"; done | \
81   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
82   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
83     if (++n[$$2] == $(am__install_max)) \
84       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
85     END { for (dir in files) print dir, files[dir] }'
86 am__base_list = \
87   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
88   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
89 am__installdirs = "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" \
90         "$(DESTDIR)$(fincludedir)" "$(DESTDIR)$(libsubincludedir)" \
91         "$(DESTDIR)$(toolexeclibdir)"
92 LTLIBRARIES = $(toolexeclib_LTLIBRARIES)
93 libgomp_la_LIBADD =
94 am_libgomp_la_OBJECTS = alloc.lo barrier.lo critical.lo env.lo \
95         error.lo iter.lo iter_ull.lo loop.lo loop_ull.lo ordered.lo \
96         parallel.lo sections.lo single.lo task.lo team.lo work.lo \
97         lock.lo mutex.lo proc.lo sem.lo bar.lo ptrlock.lo time.lo \
98         fortran.lo affinity.lo
99 libgomp_la_OBJECTS = $(am_libgomp_la_OBJECTS)
100 DEFAULT_INCLUDES = -I.@am__isrc@
101 depcomp = $(SHELL) $(top_srcdir)/../depcomp
102 am__depfiles_maybe = depfiles
103 am__mv = mv -f
104 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
105         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
106 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
107         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
108         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
109 CCLD = $(CC)
110 SOURCES = $(libgomp_la_SOURCES)
111 MULTISRCTOP = 
112 MULTIBUILDTOP = 
113 MULTIDIRS = 
114 MULTISUBDIR = 
115 MULTIDO = true
116 MULTICLEAN = true
117 INFO_DEPS = libgomp.info
118 am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
119 DVIS = libgomp.dvi
120 PDFS = libgomp.pdf
121 PSS = libgomp.ps
122 HTMLS = libgomp.html
123 TEXINFOS = libgomp.texi
124 TEXI2DVI = texi2dvi
125 TEXI2PDF = $(TEXI2DVI) --pdf --batch
126 MAKEINFOHTML = $(MAKEINFO) --html
127 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
128 DVIPS = dvips
129 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
130         html-recursive info-recursive install-data-recursive \
131         install-dvi-recursive install-exec-recursive \
132         install-html-recursive install-info-recursive \
133         install-pdf-recursive install-ps-recursive install-recursive \
134         installcheck-recursive installdirs-recursive pdf-recursive \
135         ps-recursive uninstall-recursive
136 HEADERS = $(nodist_finclude_HEADERS) $(nodist_libsubinclude_HEADERS) \
137         $(nodist_noinst_HEADERS) $(nodist_toolexeclib_HEADERS)
138 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
139   distclean-recursive maintainer-clean-recursive
140 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
141         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
142 ETAGS = etags
143 CTAGS = ctags
144 DIST_SUBDIRS = $(SUBDIRS)
145 ACLOCAL = @ACLOCAL@
146 AMTAR = @AMTAR@
147 AR = @AR@
148 AUTOCONF = @AUTOCONF@
149 AUTOHEADER = @AUTOHEADER@
150 AUTOMAKE = @AUTOMAKE@
151 AWK = @AWK@
152 CC = @CC@
153 CCDEPMODE = @CCDEPMODE@
154 CFLAGS = @CFLAGS@
155 CPP = @CPP@
156 CPPFLAGS = @CPPFLAGS@
157 CYGPATH_W = @CYGPATH_W@
158 DEFS = @DEFS@
159 DEPDIR = @DEPDIR@
160 DSYMUTIL = @DSYMUTIL@
161 DUMPBIN = @DUMPBIN@
162 ECHO_C = @ECHO_C@
163 ECHO_N = @ECHO_N@
164 ECHO_T = @ECHO_T@
165 EGREP = @EGREP@
166 EXEEXT = @EXEEXT@
167 FC = @FC@
168 FCFLAGS = @FCFLAGS@
169 FGREP = @FGREP@
170 GREP = @GREP@
171 INSTALL = @INSTALL@
172 INSTALL_DATA = @INSTALL_DATA@
173 INSTALL_PROGRAM = @INSTALL_PROGRAM@
174 INSTALL_SCRIPT = @INSTALL_SCRIPT@
175 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
176 LD = @LD@
177 LDFLAGS = @LDFLAGS@
178 LIBOBJS = @LIBOBJS@
179 LIBS = @LIBS@
180 LIBTOOL = @LIBTOOL@
181 LIPO = @LIPO@
182 LN_S = @LN_S@
183 LTLIBOBJS = @LTLIBOBJS@
184 MAINT = @MAINT@
185 MAKEINFO = @MAKEINFO@
186 MKDIR_P = @MKDIR_P@
187 NM = @NM@
188 NMEDIT = @NMEDIT@
189 OBJDUMP = @OBJDUMP@
190 OBJEXT = @OBJEXT@
191 OMP_LOCK_25_ALIGN = @OMP_LOCK_25_ALIGN@
192 OMP_LOCK_25_KIND = @OMP_LOCK_25_KIND@
193 OMP_LOCK_25_SIZE = @OMP_LOCK_25_SIZE@
194 OMP_LOCK_ALIGN = @OMP_LOCK_ALIGN@
195 OMP_LOCK_KIND = @OMP_LOCK_KIND@
196 OMP_LOCK_SIZE = @OMP_LOCK_SIZE@
197 OMP_NEST_LOCK_25_ALIGN = @OMP_NEST_LOCK_25_ALIGN@
198 OMP_NEST_LOCK_25_KIND = @OMP_NEST_LOCK_25_KIND@
199 OMP_NEST_LOCK_25_SIZE = @OMP_NEST_LOCK_25_SIZE@
200 OMP_NEST_LOCK_ALIGN = @OMP_NEST_LOCK_ALIGN@
201 OMP_NEST_LOCK_KIND = @OMP_NEST_LOCK_KIND@
202 OMP_NEST_LOCK_SIZE = @OMP_NEST_LOCK_SIZE@
203 OPT_LDFLAGS = @OPT_LDFLAGS@
204 OTOOL = @OTOOL@
205 OTOOL64 = @OTOOL64@
206 PACKAGE = @PACKAGE@
207 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
208 PACKAGE_NAME = @PACKAGE_NAME@
209 PACKAGE_STRING = @PACKAGE_STRING@
210 PACKAGE_TARNAME = @PACKAGE_TARNAME@
211 PACKAGE_URL = @PACKAGE_URL@
212 PACKAGE_VERSION = @PACKAGE_VERSION@
213 PATH_SEPARATOR = @PATH_SEPARATOR@
214 PERL = @PERL@
215 RANLIB = @RANLIB@
216 SECTION_LDFLAGS = @SECTION_LDFLAGS@
217 SED = @SED@
218 SET_MAKE = @SET_MAKE@
219 SHELL = @SHELL@
220 STRIP = @STRIP@
221 VERSION = @VERSION@
222 XCFLAGS = @XCFLAGS@
223 XLDFLAGS = @XLDFLAGS@
224 abs_builddir = @abs_builddir@
225 abs_srcdir = @abs_srcdir@
226 abs_top_builddir = @abs_top_builddir@
227 abs_top_srcdir = @abs_top_srcdir@
228 ac_ct_CC = @ac_ct_CC@
229 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
230 ac_ct_FC = @ac_ct_FC@
231 am__include = @am__include@
232 am__leading_dot = @am__leading_dot@
233 am__quote = @am__quote@
234 am__tar = @am__tar@
235 am__untar = @am__untar@
236 bindir = @bindir@
237 build = @build@
238 build_alias = @build_alias@
239 build_cpu = @build_cpu@
240 build_os = @build_os@
241 build_vendor = @build_vendor@
242 builddir = @builddir@
243 config_path = @config_path@
244 datadir = @datadir@
245 datarootdir = @datarootdir@
246 docdir = @docdir@
247 dvidir = @dvidir@
248 enable_shared = @enable_shared@
249 enable_static = @enable_static@
250 exec_prefix = @exec_prefix@
251 host = @host@
252 host_alias = @host_alias@
253 host_cpu = @host_cpu@
254 host_os = @host_os@
255 host_vendor = @host_vendor@
256 htmldir = @htmldir@
257 includedir = @includedir@
258 infodir = @infodir@
259 install_sh = @install_sh@
260 libdir = @libdir@
261 libexecdir = @libexecdir@
262 libtool_VERSION = @libtool_VERSION@
263 link_gomp = @link_gomp@
264 localedir = @localedir@
265 localstatedir = @localstatedir@
266 mandir = @mandir@
267 mkdir_p = @mkdir_p@
268 multi_basedir = @multi_basedir@
269 oldincludedir = @oldincludedir@
270 pdfdir = @pdfdir@
271 prefix = @prefix@
272 program_transform_name = @program_transform_name@
273 psdir = @psdir@
274 sbindir = @sbindir@
275 sharedstatedir = @sharedstatedir@
276 srcdir = @srcdir@
277 sysconfdir = @sysconfdir@
278 target = @target@
279 target_alias = @target_alias@
280 target_cpu = @target_cpu@
281 target_os = @target_os@
282 target_vendor = @target_vendor@
283 toolexecdir = @toolexecdir@
284 toolexeclibdir = @toolexeclibdir@
285 top_build_prefix = @top_build_prefix@
286 top_builddir = @top_builddir@
287 top_srcdir = @top_srcdir@
288 ACLOCAL_AMFLAGS = -I .. -I ../config
289 SUBDIRS = testsuite
290 gcc_version := $(shell cat $(top_srcdir)/../gcc/BASE-VER)
291 search_path = $(addprefix $(top_srcdir)/config/, $(config_path)) $(top_srcdir)
292 fincludedir = $(libdir)/gcc/$(target_alias)/$(gcc_version)/finclude
293 libsubincludedir = $(libdir)/gcc/$(target_alias)/$(gcc_version)/include
294 AM_CPPFLAGS = $(addprefix -I, $(search_path))
295 AM_CFLAGS = $(XCFLAGS)
296 AM_LDFLAGS = $(XLDFLAGS) $(SECTION_LDFLAGS) $(OPT_LDFLAGS)
297 toolexeclib_LTLIBRARIES = libgomp.la
298 nodist_toolexeclib_HEADERS = libgomp.spec
299 @LIBGOMP_BUILD_VERSIONED_SHLIB_FALSE@libgomp_version_script = 
300 @LIBGOMP_BUILD_VERSIONED_SHLIB_TRUE@libgomp_version_script = -Wl,--version-script,$(top_srcdir)/libgomp.map
301 libgomp_version_info = -version-info $(libtool_VERSION)
302 libgomp_la_LDFLAGS = $(libgomp_version_info) $(libgomp_version_script) \
303         -no-undefined -bindir "$(bindir)"
304
305 libgomp_la_LINK = $(LINK) $(libgomp_la_LDFLAGS)
306 libgomp_la_SOURCES = alloc.c barrier.c critical.c env.c error.c iter.c \
307         iter_ull.c loop.c loop_ull.c ordered.c parallel.c sections.c single.c \
308         task.c team.c work.c lock.c mutex.c proc.c sem.c bar.c ptrlock.c \
309         time.c fortran.c affinity.c
310
311 nodist_noinst_HEADERS = libgomp_f.h
312 nodist_libsubinclude_HEADERS = omp.h
313 @USE_FORTRAN_TRUE@nodist_finclude_HEADERS = omp_lib.h omp_lib.f90 omp_lib.mod omp_lib_kinds.mod
314 LTLDFLAGS = $(shell $(SHELL) $(top_srcdir)/../libtool-ldflags $(LDFLAGS))
315 LINK = $(LIBTOOL) --tag CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link \
316         $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LTLDFLAGS) -o $@
317
318
319 # Automake Documentation:
320 # If your package has Texinfo files in many directories, you can use the
321 # variable TEXINFO_TEX to tell Automake where to find the canonical
322 # `texinfo.tex' for your package. The value of this variable should be
323 # the relative path from the current `Makefile.am' to `texinfo.tex'.
324 TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
325
326 # Defines info, dvi, pdf and html targets
327 MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
328 info_TEXINFOS = libgomp.texi
329 @GENINSRC_FALSE@STAMP_GENINSRC = 
330
331 # AM_CONDITIONAL on configure option --generated-files-in-srcdir
332 @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
333 @BUILD_INFO_FALSE@STAMP_BUILD_INFO = 
334
335 # AM_CONDITIONAL on configure check ACX_CHECK_PROG_VER([MAKEINFO])
336 @BUILD_INFO_TRUE@STAMP_BUILD_INFO = stamp-build-info
337 CLEANFILES = $(STAMP_GENINSRC) $(STAMP_BUILD_INFO) libgomp.info
338 MAINTAINERCLEANFILES = $(srcdir)/libgomp.info
339 all: config.h
340         $(MAKE) $(AM_MAKEFLAGS) all-recursive
341
342 .SUFFIXES:
343 .SUFFIXES: .c .dvi .lo .o .obj .ps
344 am--refresh:
345         @:
346 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
347         @for dep in $?; do \
348           case '$(am__configure_deps)' in \
349             *$$dep*) \
350               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
351               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
352                 && exit 0; \
353               exit 1;; \
354           esac; \
355         done; \
356         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
357         $(am__cd) $(top_srcdir) && \
358           $(AUTOMAKE) --foreign Makefile
359 .PRECIOUS: Makefile
360 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
361         @case '$?' in \
362           *config.status*) \
363             echo ' $(SHELL) ./config.status'; \
364             $(SHELL) ./config.status;; \
365           *) \
366             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
367             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
368         esac;
369
370 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
371         $(SHELL) ./config.status --recheck
372
373 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
374         $(am__cd) $(srcdir) && $(AUTOCONF)
375 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
376         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
377 $(am__aclocal_m4_deps):
378
379 config.h: stamp-h1
380         @if test ! -f $@; then \
381           rm -f stamp-h1; \
382           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
383         else :; fi
384
385 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
386         @rm -f stamp-h1
387         cd $(top_builddir) && $(SHELL) ./config.status config.h
388 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
389         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
390         rm -f stamp-h1
391         touch $@
392
393 distclean-hdr:
394         -rm -f config.h stamp-h1
395 omp.h: $(top_builddir)/config.status $(srcdir)/omp.h.in
396         cd $(top_builddir) && $(SHELL) ./config.status $@
397 omp_lib.h: $(top_builddir)/config.status $(srcdir)/omp_lib.h.in
398         cd $(top_builddir) && $(SHELL) ./config.status $@
399 omp_lib.f90: $(top_builddir)/config.status $(srcdir)/omp_lib.f90.in
400         cd $(top_builddir) && $(SHELL) ./config.status $@
401 libgomp_f.h: $(top_builddir)/config.status $(srcdir)/libgomp_f.h.in
402         cd $(top_builddir) && $(SHELL) ./config.status $@
403 libgomp.spec: $(top_builddir)/config.status $(srcdir)/libgomp.spec.in
404         cd $(top_builddir) && $(SHELL) ./config.status $@
405 install-toolexeclibLTLIBRARIES: $(toolexeclib_LTLIBRARIES)
406         @$(NORMAL_INSTALL)
407         test -z "$(toolexeclibdir)" || $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)"
408         @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
409         list2=; for p in $$list; do \
410           if test -f $$p; then \
411             list2="$$list2 $$p"; \
412           else :; fi; \
413         done; \
414         test -z "$$list2" || { \
415           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(toolexeclibdir)'"; \
416           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(toolexeclibdir)"; \
417         }
418
419 uninstall-toolexeclibLTLIBRARIES:
420         @$(NORMAL_UNINSTALL)
421         @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
422         for p in $$list; do \
423           $(am__strip_dir) \
424           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(toolexeclibdir)/$$f'"; \
425           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(toolexeclibdir)/$$f"; \
426         done
427
428 clean-toolexeclibLTLIBRARIES:
429         -test -z "$(toolexeclib_LTLIBRARIES)" || rm -f $(toolexeclib_LTLIBRARIES)
430         @list='$(toolexeclib_LTLIBRARIES)'; for p in $$list; do \
431           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
432           test "$$dir" != "$$p" || dir=.; \
433           echo "rm -f \"$${dir}/so_locations\""; \
434           rm -f "$${dir}/so_locations"; \
435         done
436 libgomp.la: $(libgomp_la_OBJECTS) $(libgomp_la_DEPENDENCIES) 
437         $(libgomp_la_LINK) -rpath $(toolexeclibdir) $(libgomp_la_OBJECTS) $(libgomp_la_LIBADD) $(LIBS)
438
439 mostlyclean-compile:
440         -rm -f *.$(OBJEXT)
441
442 distclean-compile:
443         -rm -f *.tab.c
444
445 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/affinity.Plo@am__quote@
446 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc.Plo@am__quote@
447 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bar.Plo@am__quote@
448 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/barrier.Plo@am__quote@
449 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/critical.Plo@am__quote@
450 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/env.Plo@am__quote@
451 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/error.Plo@am__quote@
452 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fortran.Plo@am__quote@
453 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iter.Plo@am__quote@
454 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iter_ull.Plo@am__quote@
455 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lock.Plo@am__quote@
456 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loop.Plo@am__quote@
457 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loop_ull.Plo@am__quote@
458 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mutex.Plo@am__quote@
459 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ordered.Plo@am__quote@
460 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parallel.Plo@am__quote@
461 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/proc.Plo@am__quote@
462 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ptrlock.Plo@am__quote@
463 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sections.Plo@am__quote@
464 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sem.Plo@am__quote@
465 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/single.Plo@am__quote@
466 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/task.Plo@am__quote@
467 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/team.Plo@am__quote@
468 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/time.Plo@am__quote@
469 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/work.Plo@am__quote@
470
471 .c.o:
472 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
473 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
474 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
475 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
476 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
477
478 .c.obj:
479 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
480 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
481 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
482 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
483 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
484
485 .c.lo:
486 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
487 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
488 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
489 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
490 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
491
492 mostlyclean-libtool:
493         -rm -f *.lo
494
495 clean-libtool:
496         -rm -rf .libs _libs
497
498 distclean-libtool:
499         -rm -f libtool config.lt
500
501 # GNU Make needs to see an explicit $(MAKE) variable in the command it
502 # runs to enable its job server during parallel builds.  Hence the
503 # comments below.
504 all-multi:
505         $(MULTIDO) $(AM_MAKEFLAGS) DO=all multi-do # $(MAKE)
506 install-multi:
507         $(MULTIDO) $(AM_MAKEFLAGS) DO=install multi-do # $(MAKE)
508
509 mostlyclean-multi:
510         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=mostlyclean multi-clean # $(MAKE)
511 clean-multi:
512         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=clean multi-clean # $(MAKE)
513 distclean-multi:
514         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=distclean multi-clean # $(MAKE)
515 maintainer-clean-multi:
516         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=maintainer-clean multi-clean # $(MAKE)
517
518 libgomp.dvi: libgomp.texi  
519         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
520         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
521         $(TEXI2DVI) -o $@ `test -f 'libgomp.texi' || echo '$(srcdir)/'`libgomp.texi
522
523 libgomp.pdf: libgomp.texi  
524         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
525         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
526         $(TEXI2PDF) -o $@ `test -f 'libgomp.texi' || echo '$(srcdir)/'`libgomp.texi
527
528 libgomp.html: libgomp.texi  
529         rm -rf $(@:.html=.htp)
530         if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
531          -o $(@:.html=.htp) `test -f 'libgomp.texi' || echo '$(srcdir)/'`libgomp.texi; \
532         then \
533           rm -rf $@; \
534           if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
535             mv $(@:.html=) $@; else mv $(@:.html=.htp) $@; fi; \
536         else \
537           if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
538             rm -rf $(@:.html=); else rm -Rf $(@:.html=.htp) $@; fi; \
539           exit 1; \
540         fi
541 .dvi.ps:
542         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
543         $(DVIPS) -o $@ $<
544
545 uninstall-dvi-am:
546         @$(NORMAL_UNINSTALL)
547         @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
548         for p in $$list; do \
549           $(am__strip_dir) \
550           echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
551           rm -f "$(DESTDIR)$(dvidir)/$$f"; \
552         done
553
554 uninstall-html-am:
555         @$(NORMAL_UNINSTALL)
556         @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
557         for p in $$list; do \
558           $(am__strip_dir) \
559           echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
560           rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
561         done
562
563 uninstall-info-am:
564         @$(PRE_UNINSTALL)
565         @if test -d '$(DESTDIR)$(infodir)' && \
566             (install-info --version && \
567              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
568           list='$(INFO_DEPS)'; \
569           for file in $$list; do \
570             relfile=`echo "$$file" | sed 's|^.*/||'`; \
571             echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
572             if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
573             then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
574           done; \
575         else :; fi
576         @$(NORMAL_UNINSTALL)
577         @list='$(INFO_DEPS)'; \
578         for file in $$list; do \
579           relfile=`echo "$$file" | sed 's|^.*/||'`; \
580           relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
581           (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
582              echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
583              rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
584            else :; fi); \
585         done
586
587 uninstall-pdf-am:
588         @$(NORMAL_UNINSTALL)
589         @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
590         for p in $$list; do \
591           $(am__strip_dir) \
592           echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
593           rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
594         done
595
596 uninstall-ps-am:
597         @$(NORMAL_UNINSTALL)
598         @list='$(PSS)'; test -n "$(psdir)" || list=; \
599         for p in $$list; do \
600           $(am__strip_dir) \
601           echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
602           rm -f "$(DESTDIR)$(psdir)/$$f"; \
603         done
604
605 dist-info: $(INFO_DEPS)
606         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
607         list='$(INFO_DEPS)'; \
608         for base in $$list; do \
609           case $$base in \
610             $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
611           esac; \
612           if test -f $$base; then d=.; else d=$(srcdir); fi; \
613           base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
614           for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
615             if test -f $$file; then \
616               relfile=`expr "$$file" : "$$d/\(.*\)"`; \
617               test -f "$(distdir)/$$relfile" || \
618                 cp -p $$file "$(distdir)/$$relfile"; \
619             else :; fi; \
620           done; \
621         done
622
623 mostlyclean-aminfo:
624         -rm -rf libgomp.aux libgomp.cp libgomp.cps libgomp.fn libgomp.fns \
625           libgomp.ky libgomp.kys libgomp.log libgomp.pg libgomp.pgs \
626           libgomp.tmp libgomp.toc libgomp.tp libgomp.tps libgomp.vr \
627           libgomp.vrs
628
629 clean-aminfo:
630         -test -z "libgomp.dvi libgomp.pdf libgomp.ps libgomp.html" \
631         || rm -rf libgomp.dvi libgomp.pdf libgomp.ps libgomp.html
632
633 maintainer-clean-aminfo:
634         @list='$(INFO_DEPS)'; for i in $$list; do \
635           i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
636           echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
637           rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
638         done
639 install-nodist_fincludeHEADERS: $(nodist_finclude_HEADERS)
640         @$(NORMAL_INSTALL)
641         test -z "$(fincludedir)" || $(MKDIR_P) "$(DESTDIR)$(fincludedir)"
642         @list='$(nodist_finclude_HEADERS)'; test -n "$(fincludedir)" || list=; \
643         for p in $$list; do \
644           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
645           echo "$$d$$p"; \
646         done | $(am__base_list) | \
647         while read files; do \
648           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(fincludedir)'"; \
649           $(INSTALL_HEADER) $$files "$(DESTDIR)$(fincludedir)" || exit $$?; \
650         done
651
652 uninstall-nodist_fincludeHEADERS:
653         @$(NORMAL_UNINSTALL)
654         @list='$(nodist_finclude_HEADERS)'; test -n "$(fincludedir)" || list=; \
655         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
656         test -n "$$files" || exit 0; \
657         echo " ( cd '$(DESTDIR)$(fincludedir)' && rm -f" $$files ")"; \
658         cd "$(DESTDIR)$(fincludedir)" && rm -f $$files
659 install-nodist_libsubincludeHEADERS: $(nodist_libsubinclude_HEADERS)
660         @$(NORMAL_INSTALL)
661         test -z "$(libsubincludedir)" || $(MKDIR_P) "$(DESTDIR)$(libsubincludedir)"
662         @list='$(nodist_libsubinclude_HEADERS)'; test -n "$(libsubincludedir)" || list=; \
663         for p in $$list; do \
664           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
665           echo "$$d$$p"; \
666         done | $(am__base_list) | \
667         while read files; do \
668           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsubincludedir)'"; \
669           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsubincludedir)" || exit $$?; \
670         done
671
672 uninstall-nodist_libsubincludeHEADERS:
673         @$(NORMAL_UNINSTALL)
674         @list='$(nodist_libsubinclude_HEADERS)'; test -n "$(libsubincludedir)" || list=; \
675         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
676         test -n "$$files" || exit 0; \
677         echo " ( cd '$(DESTDIR)$(libsubincludedir)' && rm -f" $$files ")"; \
678         cd "$(DESTDIR)$(libsubincludedir)" && rm -f $$files
679 install-nodist_toolexeclibHEADERS: $(nodist_toolexeclib_HEADERS)
680         @$(NORMAL_INSTALL)
681         test -z "$(toolexeclibdir)" || $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)"
682         @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
683         for p in $$list; do \
684           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
685           echo "$$d$$p"; \
686         done | $(am__base_list) | \
687         while read files; do \
688           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(toolexeclibdir)'"; \
689           $(INSTALL_HEADER) $$files "$(DESTDIR)$(toolexeclibdir)" || exit $$?; \
690         done
691
692 uninstall-nodist_toolexeclibHEADERS:
693         @$(NORMAL_UNINSTALL)
694         @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
695         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
696         test -n "$$files" || exit 0; \
697         echo " ( cd '$(DESTDIR)$(toolexeclibdir)' && rm -f" $$files ")"; \
698         cd "$(DESTDIR)$(toolexeclibdir)" && rm -f $$files
699
700 # This directory's subdirectories are mostly independent; you can cd
701 # into them and run `make' without going through this Makefile.
702 # To change the values of `make' variables: instead of editing Makefiles,
703 # (1) if the variable is set in `config.status', edit `config.status'
704 #     (which will cause the Makefiles to be regenerated when you run `make');
705 # (2) otherwise, pass the desired values on the `make' command line.
706 $(RECURSIVE_TARGETS):
707         @fail= failcom='exit 1'; \
708         for f in x $$MAKEFLAGS; do \
709           case $$f in \
710             *=* | --[!k]*);; \
711             *k*) failcom='fail=yes';; \
712           esac; \
713         done; \
714         dot_seen=no; \
715         target=`echo $@ | sed s/-recursive//`; \
716         list='$(SUBDIRS)'; for subdir in $$list; do \
717           echo "Making $$target in $$subdir"; \
718           if test "$$subdir" = "."; then \
719             dot_seen=yes; \
720             local_target="$$target-am"; \
721           else \
722             local_target="$$target"; \
723           fi; \
724           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
725           || eval $$failcom; \
726         done; \
727         if test "$$dot_seen" = "no"; then \
728           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
729         fi; test -z "$$fail"
730
731 $(RECURSIVE_CLEAN_TARGETS):
732         @fail= failcom='exit 1'; \
733         for f in x $$MAKEFLAGS; do \
734           case $$f in \
735             *=* | --[!k]*);; \
736             *k*) failcom='fail=yes';; \
737           esac; \
738         done; \
739         dot_seen=no; \
740         case "$@" in \
741           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
742           *) list='$(SUBDIRS)' ;; \
743         esac; \
744         rev=''; for subdir in $$list; do \
745           if test "$$subdir" = "."; then :; else \
746             rev="$$subdir $$rev"; \
747           fi; \
748         done; \
749         rev="$$rev ."; \
750         target=`echo $@ | sed s/-recursive//`; \
751         for subdir in $$rev; do \
752           echo "Making $$target in $$subdir"; \
753           if test "$$subdir" = "."; then \
754             local_target="$$target-am"; \
755           else \
756             local_target="$$target"; \
757           fi; \
758           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
759           || eval $$failcom; \
760         done && test -z "$$fail"
761 tags-recursive:
762         list='$(SUBDIRS)'; for subdir in $$list; do \
763           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
764         done
765 ctags-recursive:
766         list='$(SUBDIRS)'; for subdir in $$list; do \
767           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
768         done
769
770 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
771         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
772         unique=`for i in $$list; do \
773             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
774           done | \
775           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
776               END { if (nonempty) { for (i in files) print i; }; }'`; \
777         mkid -fID $$unique
778 tags: TAGS
779
780 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
781                 $(TAGS_FILES) $(LISP)
782         set x; \
783         here=`pwd`; \
784         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
785           include_option=--etags-include; \
786           empty_fix=.; \
787         else \
788           include_option=--include; \
789           empty_fix=; \
790         fi; \
791         list='$(SUBDIRS)'; for subdir in $$list; do \
792           if test "$$subdir" = .; then :; else \
793             test ! -f $$subdir/TAGS || \
794               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
795           fi; \
796         done; \
797         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
798         unique=`for i in $$list; do \
799             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
800           done | \
801           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
802               END { if (nonempty) { for (i in files) print i; }; }'`; \
803         shift; \
804         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
805           test -n "$$unique" || unique=$$empty_fix; \
806           if test $$# -gt 0; then \
807             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
808               "$$@" $$unique; \
809           else \
810             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
811               $$unique; \
812           fi; \
813         fi
814 ctags: CTAGS
815 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
816                 $(TAGS_FILES) $(LISP)
817         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
818         unique=`for i in $$list; do \
819             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
820           done | \
821           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
822               END { if (nonempty) { for (i in files) print i; }; }'`; \
823         test -z "$(CTAGS_ARGS)$$unique" \
824           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
825              $$unique
826
827 GTAGS:
828         here=`$(am__cd) $(top_builddir) && pwd` \
829           && $(am__cd) $(top_srcdir) \
830           && gtags -i $(GTAGS_ARGS) "$$here"
831
832 distclean-tags:
833         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
834
835 distdir: $(DISTFILES)
836         $(am__remove_distdir)
837         test -d "$(distdir)" || mkdir "$(distdir)"
838         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
839         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
840         list='$(DISTFILES)'; \
841           dist_files=`for file in $$list; do echo $$file; done | \
842           sed -e "s|^$$srcdirstrip/||;t" \
843               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
844         case $$dist_files in \
845           */*) $(MKDIR_P) `echo "$$dist_files" | \
846                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
847                            sort -u` ;; \
848         esac; \
849         for file in $$dist_files; do \
850           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
851           if test -d $$d/$$file; then \
852             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
853             if test -d "$(distdir)/$$file"; then \
854               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
855             fi; \
856             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
857               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
858               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
859             fi; \
860             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
861           else \
862             test -f "$(distdir)/$$file" \
863             || cp -p $$d/$$file "$(distdir)/$$file" \
864             || exit 1; \
865           fi; \
866         done
867         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
868           if test "$$subdir" = .; then :; else \
869             test -d "$(distdir)/$$subdir" \
870             || $(MKDIR_P) "$(distdir)/$$subdir" \
871             || exit 1; \
872           fi; \
873         done
874         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
875           if test "$$subdir" = .; then :; else \
876             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
877             $(am__relativize); \
878             new_distdir=$$reldir; \
879             dir1=$$subdir; dir2="$(top_distdir)"; \
880             $(am__relativize); \
881             new_top_distdir=$$reldir; \
882             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
883             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
884             ($(am__cd) $$subdir && \
885               $(MAKE) $(AM_MAKEFLAGS) \
886                 top_distdir="$$new_top_distdir" \
887                 distdir="$$new_distdir" \
888                 am__remove_distdir=: \
889                 am__skip_length_check=: \
890                 am__skip_mode_fix=: \
891                 distdir) \
892               || exit 1; \
893           fi; \
894         done
895         $(MAKE) $(AM_MAKEFLAGS) \
896           top_distdir="$(top_distdir)" distdir="$(distdir)" \
897           dist-info
898         -test -n "$(am__skip_mode_fix)" \
899         || find "$(distdir)" -type d ! -perm -755 \
900                 -exec chmod u+rwx,go+rx {} \; -o \
901           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
902           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
903           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
904         || chmod -R a+r "$(distdir)"
905 dist-gzip: distdir
906         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
907         $(am__remove_distdir)
908
909 dist-bzip2: distdir
910         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
911         $(am__remove_distdir)
912
913 dist-lzma: distdir
914         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
915         $(am__remove_distdir)
916
917 dist-xz: distdir
918         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
919         $(am__remove_distdir)
920
921 dist-tarZ: distdir
922         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
923         $(am__remove_distdir)
924
925 dist-shar: distdir
926         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
927         $(am__remove_distdir)
928
929 dist-zip: distdir
930         -rm -f $(distdir).zip
931         zip -rq $(distdir).zip $(distdir)
932         $(am__remove_distdir)
933
934 dist dist-all: distdir
935         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
936         $(am__remove_distdir)
937
938 # This target untars the dist file and tries a VPATH configuration.  Then
939 # it guarantees that the distribution is self-contained by making another
940 # tarfile.
941 distcheck: dist
942         case '$(DIST_ARCHIVES)' in \
943         *.tar.gz*) \
944           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
945         *.tar.bz2*) \
946           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
947         *.tar.lzma*) \
948           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
949         *.tar.xz*) \
950           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
951         *.tar.Z*) \
952           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
953         *.shar.gz*) \
954           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
955         *.zip*) \
956           unzip $(distdir).zip ;;\
957         esac
958         chmod -R a-w $(distdir); chmod a+w $(distdir)
959         mkdir $(distdir)/_build
960         mkdir $(distdir)/_inst
961         chmod a-w $(distdir)
962         test -d $(distdir)/_build || exit 0; \
963         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
964           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
965           && am__cwd=`pwd` \
966           && $(am__cd) $(distdir)/_build \
967           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
968             $(DISTCHECK_CONFIGURE_FLAGS) \
969           && $(MAKE) $(AM_MAKEFLAGS) \
970           && $(MAKE) $(AM_MAKEFLAGS) dvi \
971           && $(MAKE) $(AM_MAKEFLAGS) check \
972           && $(MAKE) $(AM_MAKEFLAGS) install \
973           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
974           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
975           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
976                 distuninstallcheck \
977           && chmod -R a-w "$$dc_install_base" \
978           && ({ \
979                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
980                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
981                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
982                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
983                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
984               } || { rm -rf "$$dc_destdir"; exit 1; }) \
985           && rm -rf "$$dc_destdir" \
986           && $(MAKE) $(AM_MAKEFLAGS) dist \
987           && rm -rf $(DIST_ARCHIVES) \
988           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
989           && cd "$$am__cwd" \
990           || exit 1
991         $(am__remove_distdir)
992         @(echo "$(distdir) archives ready for distribution: "; \
993           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
994           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
995 distuninstallcheck:
996         @$(am__cd) '$(distuninstallcheck_dir)' \
997         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
998            || { echo "ERROR: files left after uninstall:" ; \
999                 if test -n "$(DESTDIR)"; then \
1000                   echo "  (check DESTDIR support)"; \
1001                 fi ; \
1002                 $(distuninstallcheck_listfiles) ; \
1003                 exit 1; } >&2
1004 distcleancheck: distclean
1005         @if test '$(srcdir)' = . ; then \
1006           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
1007           exit 1 ; \
1008         fi
1009         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
1010           || { echo "ERROR: files left in build directory after distclean:" ; \
1011                $(distcleancheck_listfiles) ; \
1012                exit 1; } >&2
1013 check-am: all-am
1014 check: check-recursive
1015 all-am: Makefile $(INFO_DEPS) $(LTLIBRARIES) all-multi $(HEADERS) \
1016                 config.h all-local
1017 installdirs: installdirs-recursive
1018 installdirs-am:
1019         for dir in "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(fincludedir)" "$(DESTDIR)$(libsubincludedir)" "$(DESTDIR)$(toolexeclibdir)"; do \
1020           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1021         done
1022 install: install-recursive
1023 install-exec: install-exec-recursive
1024 install-data: install-data-recursive
1025 uninstall: uninstall-recursive
1026
1027 install-am: all-am
1028         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1029
1030 installcheck: installcheck-recursive
1031 install-strip:
1032         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1033           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1034           `test -z '$(STRIP)' || \
1035             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1036 mostlyclean-generic:
1037
1038 clean-generic:
1039         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1040
1041 distclean-generic:
1042         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1043         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1044
1045 maintainer-clean-generic:
1046         @echo "This command is intended for maintainers to use"
1047         @echo "it deletes files that may require special tools to rebuild."
1048         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1049 clean: clean-multi clean-recursive
1050
1051 clean-am: clean-aminfo clean-generic clean-libtool \
1052         clean-toolexeclibLTLIBRARIES mostlyclean-am
1053
1054 distclean: distclean-multi distclean-recursive
1055         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1056         -rm -rf ./$(DEPDIR)
1057         -rm -f Makefile
1058 distclean-am: clean-am distclean-compile distclean-generic \
1059         distclean-hdr distclean-libtool distclean-tags
1060
1061 dvi: dvi-recursive
1062
1063 dvi-am: $(DVIS)
1064
1065 html: html-recursive
1066
1067 html-am: $(HTMLS)
1068
1069 info: info-recursive
1070
1071 info-am: $(INFO_DEPS)
1072
1073 install-data-am: install-info-am install-nodist_fincludeHEADERS \
1074         install-nodist_libsubincludeHEADERS
1075
1076 install-dvi: install-dvi-recursive
1077
1078 install-dvi-am: $(DVIS)
1079         @$(NORMAL_INSTALL)
1080         test -z "$(dvidir)" || $(MKDIR_P) "$(DESTDIR)$(dvidir)"
1081         @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1082         for p in $$list; do \
1083           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1084           echo "$$d$$p"; \
1085         done | $(am__base_list) | \
1086         while read files; do \
1087           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
1088           $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
1089         done
1090 install-exec-am: install-multi install-nodist_toolexeclibHEADERS \
1091         install-toolexeclibLTLIBRARIES
1092
1093 install-html: install-html-recursive
1094
1095 install-html-am: $(HTMLS)
1096         @$(NORMAL_INSTALL)
1097         test -z "$(htmldir)" || $(MKDIR_P) "$(DESTDIR)$(htmldir)"
1098         @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
1099         for p in $$list; do \
1100           if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
1101           $(am__strip_dir) \
1102           if test -d "$$d$$p"; then \
1103             echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
1104             $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
1105             echo " $(INSTALL_DATA) '$$d$$p'/* '$(DESTDIR)$(htmldir)/$$f'"; \
1106             $(INSTALL_DATA) "$$d$$p"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
1107           else \
1108             list2="$$list2 $$d$$p"; \
1109           fi; \
1110         done; \
1111         test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
1112         while read files; do \
1113           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
1114           $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
1115         done; }
1116 install-info: install-info-recursive
1117
1118 install-info-am: $(INFO_DEPS)
1119         @$(NORMAL_INSTALL)
1120         test -z "$(infodir)" || $(MKDIR_P) "$(DESTDIR)$(infodir)"
1121         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1122         list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1123         for file in $$list; do \
1124           case $$file in \
1125             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
1126           esac; \
1127           if test -f $$file; then d=.; else d=$(srcdir); fi; \
1128           file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
1129           for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
1130                        $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
1131             if test -f $$ifile; then \
1132               echo "$$ifile"; \
1133             else : ; fi; \
1134           done; \
1135         done | $(am__base_list) | \
1136         while read files; do \
1137           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
1138           $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
1139         @$(POST_INSTALL)
1140         @if (install-info --version && \
1141              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
1142           list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1143           for file in $$list; do \
1144             relfile=`echo "$$file" | sed 's|^.*/||'`; \
1145             echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
1146             install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
1147           done; \
1148         else : ; fi
1149 install-man:
1150
1151 install-pdf: install-pdf-recursive
1152
1153 install-pdf-am: $(PDFS)
1154         @$(NORMAL_INSTALL)
1155         test -z "$(pdfdir)" || $(MKDIR_P) "$(DESTDIR)$(pdfdir)"
1156         @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1157         for p in $$list; do \
1158           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1159           echo "$$d$$p"; \
1160         done | $(am__base_list) | \
1161         while read files; do \
1162           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
1163           $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
1164 install-ps: install-ps-recursive
1165
1166 install-ps-am: $(PSS)
1167         @$(NORMAL_INSTALL)
1168         test -z "$(psdir)" || $(MKDIR_P) "$(DESTDIR)$(psdir)"
1169         @list='$(PSS)'; test -n "$(psdir)" || list=; \
1170         for p in $$list; do \
1171           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1172           echo "$$d$$p"; \
1173         done | $(am__base_list) | \
1174         while read files; do \
1175           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
1176           $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
1177 installcheck-am:
1178
1179 maintainer-clean: maintainer-clean-multi maintainer-clean-recursive
1180         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1181         -rm -rf $(top_srcdir)/autom4te.cache
1182         -rm -rf ./$(DEPDIR)
1183         -rm -f Makefile
1184 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
1185         maintainer-clean-generic
1186
1187 mostlyclean: mostlyclean-multi mostlyclean-recursive
1188
1189 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
1190         mostlyclean-generic mostlyclean-libtool
1191
1192 pdf: pdf-recursive
1193
1194 pdf-am: $(PDFS)
1195
1196 ps: ps-recursive
1197
1198 ps-am: $(PSS)
1199
1200 uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
1201         uninstall-nodist_fincludeHEADERS \
1202         uninstall-nodist_libsubincludeHEADERS \
1203         uninstall-nodist_toolexeclibHEADERS uninstall-pdf-am \
1204         uninstall-ps-am uninstall-toolexeclibLTLIBRARIES
1205
1206 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all all-multi \
1207         clean-multi ctags-recursive distclean-multi install-am \
1208         install-multi install-strip maintainer-clean-multi \
1209         mostlyclean-multi tags-recursive
1210
1211 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1212         all all-am all-local all-multi am--refresh check check-am \
1213         clean clean-aminfo clean-generic clean-libtool clean-multi \
1214         clean-toolexeclibLTLIBRARIES ctags ctags-recursive dist-info \
1215         distclean distclean-compile distclean-generic distclean-hdr \
1216         distclean-libtool distclean-multi distclean-tags dvi dvi-am \
1217         html html-am info info-am install install-am install-data \
1218         install-data-am install-dvi install-dvi-am install-exec \
1219         install-exec-am install-html install-html-am install-info \
1220         install-info-am install-man install-multi \
1221         install-nodist_fincludeHEADERS \
1222         install-nodist_libsubincludeHEADERS \
1223         install-nodist_toolexeclibHEADERS install-pdf install-pdf-am \
1224         install-ps install-ps-am install-strip \
1225         install-toolexeclibLTLIBRARIES installcheck installcheck-am \
1226         installdirs installdirs-am maintainer-clean \
1227         maintainer-clean-aminfo maintainer-clean-generic \
1228         maintainer-clean-multi mostlyclean mostlyclean-aminfo \
1229         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1230         mostlyclean-multi pdf pdf-am ps ps-am tags tags-recursive \
1231         uninstall uninstall-am uninstall-dvi-am uninstall-html-am \
1232         uninstall-info-am uninstall-nodist_fincludeHEADERS \
1233         uninstall-nodist_libsubincludeHEADERS \
1234         uninstall-nodist_toolexeclibHEADERS uninstall-pdf-am \
1235         uninstall-ps-am uninstall-toolexeclibLTLIBRARIES
1236
1237
1238 vpath % $(strip $(search_path))
1239
1240 omp_lib_kinds.mod: omp_lib.mod
1241         :
1242 omp_lib.mod: omp_lib.f90
1243         $(FC) $(FCFLAGS) -fsyntax-only omp_lib.f90
1244 fortran.lo: libgomp_f.h
1245 fortran.o: libgomp_f.h
1246 env.lo: libgomp_f.h
1247 env.o: libgomp_f.h
1248
1249 all-local: $(STAMP_GENINSRC)
1250
1251 stamp-geninsrc: libgomp.info
1252         cp -p $(top_builddir)/libgomp.info $(srcdir)/libgomp.info
1253         @touch $@
1254
1255 libgomp.info: $(STAMP_BUILD_INFO)
1256
1257 stamp-build-info: libgomp.texi
1258         $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) -o libgomp.info $(srcdir)/libgomp.texi
1259         @touch $@
1260
1261 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1262 # Otherwise a system limit (for SysV at least) may be exceeded.
1263 .NOEXPORT: